aboutsummaryrefslogtreecommitdiffstats
path: root/testing/homer-ui/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2016-02-05 08:22:10 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2016-02-05 08:22:10 +0000
commit923ac397fdbd6094037dc1ddfac32a4c7706c683 (patch)
tree6f61262ce4d54c4d0b9c2d66c0cd9f32b7c0563a /testing/homer-ui/APKBUILD
parenta2a7b52025ec40b806e3acdf1791bd6093d70345 (diff)
downloadaports-923ac397fdbd6094037dc1ddfac32a4c7706c683.tar.gz
aports-923ac397fdbd6094037dc1ddfac32a4c7706c683.tar.bz2
aports-923ac397fdbd6094037dc1ddfac32a4c7706c683.tar.xz
testing/homer-ui: move dashboard to /etc
Diffstat (limited to 'testing/homer-ui/APKBUILD')
-rw-r--r--testing/homer-ui/APKBUILD8
1 files changed, 5 insertions, 3 deletions
diff --git a/testing/homer-ui/APKBUILD b/testing/homer-ui/APKBUILD
index e8af1bd067..62d295bc98 100644
--- a/testing/homer-ui/APKBUILD
+++ b/testing/homer-ui/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
-# Maintainer:
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=homer-ui
pkgver=5.0.2
-pkgrel=1
+pkgrel=2
pkgdesc="HOMER User-Interface"
url="https://github.com/sipcapture/homer-ui"
arch="noarch"
@@ -31,10 +31,12 @@ build() {
package() {
cd "$_builddir"
- mkdir -p "$pkgdir"/usr/share/webapps/homer-ui
+ mkdir -p "$pkgdir"/usr/share/webapps/homer-ui "$pkgdir"/etc/homer
mv * "$pkgdir"/usr/share/webapps/homer-ui
chown -R :www-data "$pkgdir"/usr/share/webapps/homer-ui/store/dashboard
chmod -R 664 "$pkgdir"/usr/share/webapps/homer-ui/store/dashboard
+ mv "$pkgdir"/usr/share/webapps/homer-ui/store/dashboard "$pkgdir"/etc/homer/ || return 1
+ ln -s /etc/homer/dashboard "$pkgdir"/usr/share/webapps/homer-ui/store/dashboard || return 1
}
md5sums="0909af05602d5593d7015b07924c722f homer-ui-5.0.2.tar.gz"